Ticket #4255 (closed defect: invalid)

Opened 14 months ago

Last modified 14 months ago

since opensuse leap 15.3 unzipping in mc opens external tool

Reported by: wcr Owned by:
Priority: major Milestone:
Component: mc-vfs Version: master
Keywords: Cc:
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description

I am using

GNU Midnight Commander 4.8.26
Built with GLib 2.62.6
Built with S-Lang 2.3.1a with terminfo database
With builtin Editor
With subshell support as default
With support for background operations
With mouse support on xterm and Linux console
With support for X11 events
With internationalization support
With multiple codepages support
With ext2fs attributes support
Virtual File Systems:
 cpiofs, tarfs, sfs, extfs, ftpfs, sftpfs, smbfs
Data types:
 char: 8; int: 32; long: 64; void *: 64; size_t: 64; off_t: 64;

Since my update from opensuse leap 15.2 to 15.3, I am no longer able to open zip files as virtual file systems - instead my GUI opens ark, which is not at all what I want.

To be sure that it was not my own "fault", I complete uninstalled mc and also removed all its configurations (which anyway had not been changed during the system upgrade), made a clean fresh install of mc - and still have the same problem.

I obviously would like to have this functionality back!

Change History

comment:1 Changed 14 months ago by andrew_b

  • Status changed from new to closed
  • Resolution set to invalid
  • Milestone Future Releases deleted

There are some fixes were made since 4.8.26 release (i.e #4180).

comment:2 follow-up: ↓ 3 Changed 14 months ago by wcr

I tried the workaround proposed in #4180 but without success (mine were no xpi files anyway, but regular zips).

So does this mean there is no vfs from zip archives until the next release?

Last edited 14 months ago by wcr (previous) (diff)

comment:3 in reply to: ↑ 2 Changed 14 months ago by andrew_b

Replying to wcr:

I tried the workaround proposed in #4180 but without success

There were two fixes after workaround.

So does this mean there is no vfs from zip archives until the next release?

Current master 4.8.26-214-ga81f1ca19 works fine with zip archives. Right now you have two ways:

  • compile mc from source yourself (from master branch);
  • downgrade mc to previous version.

Otherwise, you have to await release 4.8.27.

comment:4 Changed 14 months ago by wcr

Thank you, I found a rpm for 4.8.22 and installed it. It works.

Note: See TracTickets for help on using tickets.